package de.avatic.lcc.model.db.properties;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;


public class PropertyType {

    private Integer id;

    @NotNull
    @Size(max = 255)
    private String name;

    @Size(max = 16)
    private String externalMappingId;

    @NotNull
    private PropertyDataType dataType;

    @Size(max = 64)
    private String validationRule;

    private Boolean isRequired;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExternalMappingId() {
        return externalMappingId;
    }

    public void setExternalMappingId(String externalMappingId) {
        this.externalMappingId = externalMappingId;
    }

    public PropertyDataType getDataType() {
        return dataType;
    }

    public void setDataType(PropertyDataType dataType) {
        this.dataType = dataType;
    }

    public String getValidationRule() {
        return validationRule;
    }

    public void setValidationRule(String validationRule) {
        this.validationRule = validationRule;
    }

    public Boolean getRequired() {
        return isRequired;
    }

    public void setRequired(Boolean required) {
        isRequired = required;
    }
}
